Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057905 - [abrt] gvfs: g_malloc(): gvfs-udisks2-volume-monitor killed by SIGSEGV
Summary: [abrt] gvfs: g_malloc(): gvfs-udisks2-volume-monitor killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4c35b0bd183fc8911df3079ef7f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-25 22:27 UTC by chris.kjeldgaard
Modified: 2015-06-29 14:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:46:04 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-25 22:27 UTC, chris.kjeldgaard
no flags Details
File: cgroup (deleted)
2014-01-25 22:27 UTC, chris.kjeldgaard
no flags Details
File: core_backtrace (deleted)
2014-01-25 22:27 UTC, chris.kjeldgaard
no flags Details
File: dso_list (deleted)
2014-01-25 22:27 UTC, chris.kjeldgaard
no flags Details
File: environ (deleted)
2014-01-25 22:27 UTC, chris.kjeldgaard
no flags Details
File: exploitable (deleted)
2014-01-25 22:27 UTC, chris.kjeldgaard
no flags Details
File: limits (deleted)
2014-01-25 22:27 UTC, chris.kjeldgaard
no flags Details
File: maps (deleted)
2014-01-25 22:27 UTC, chris.kjeldgaard
no flags Details
File: open_fds (deleted)
2014-01-25 22:27 UTC, chris.kjeldgaard
no flags Details
File: proc_pid_status (deleted)
2014-01-25 22:27 UTC, chris.kjeldgaard
no flags Details
File: var_log_messages (deleted)
2014-01-25 22:27 UTC, chris.kjeldgaard
no flags Details

Description chris.kjeldgaard 2014-01-25 22:27:28 UTC
Description of problem:
Just inserted my Motorola RazR HD MAxx into an USB port, and the system went nuts! :)

Version-Release number of selected component:
gvfs-1.18.3-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/libexec/gvfs-udisks2-volume-monitor
crash_function: g_malloc
executable:     /usr/libexec/gvfs-udisks2-volume-monitor
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_malloc at gmem.c:104
 #3 g_memdup at gstrfuncs.c:392
 #4 g_bytes_new at gbytes.c:96
 #5 g_variant_new_from_trusted at gvariant.c:326
 #6 g_variant_valist_new_nnp at gvariant.c:4195
 #7 g_variant_valist_new_leaf at gvariant.c:4387
 #8 g_variant_valist_new at gvariant.c:4569
 #10 g_variant_new_va at gvariant.c:4778
 #11 g_variant_new at gvariant.c:4717
 #12 volume_to_dbus at gvfsproxyvolumemonitordaemon.c:771

Potential duplicate: bug 987281

Comment 1 chris.kjeldgaard 2014-01-25 22:27:34 UTC
Created attachment 855531 [details]
File: backtrace

Comment 2 chris.kjeldgaard 2014-01-25 22:27:35 UTC
Created attachment 855532 [details]
File: cgroup

Comment 3 chris.kjeldgaard 2014-01-25 22:27:38 UTC
Created attachment 855533 [details]
File: core_backtrace

Comment 4 chris.kjeldgaard 2014-01-25 22:27:40 UTC
Created attachment 855534 [details]
File: dso_list

Comment 5 chris.kjeldgaard 2014-01-25 22:27:42 UTC
Created attachment 855535 [details]
File: environ

Comment 6 chris.kjeldgaard 2014-01-25 22:27:43 UTC
Created attachment 855536 [details]
File: exploitable

Comment 7 chris.kjeldgaard 2014-01-25 22:27:45 UTC
Created attachment 855537 [details]
File: limits

Comment 8 chris.kjeldgaard 2014-01-25 22:27:48 UTC
Created attachment 855538 [details]
File: maps

Comment 9 chris.kjeldgaard 2014-01-25 22:27:50 UTC
Created attachment 855539 [details]
File: open_fds

Comment 10 chris.kjeldgaard 2014-01-25 22:27:51 UTC
Created attachment 855540 [details]
File: proc_pid_status

Comment 11 chris.kjeldgaard 2014-01-25 22:27:53 UTC
Created attachment 855541 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:40:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:46:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.